import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderLinks from "components/Header/HeaderLinks.js";
import Footer from "components/Footer/Footer.js";
import YGPDetail from "pages-sections/yamaha/product/ygp_details.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";
import GetDetailYGP from "../../../api/product/accessories.js"
import Cookies from "cookies";

const useStyles = makeStyles(styles);

const YGPDetails = function ({ user, backend, detailygp, ...props })  {
    const classes = useStyles();
    const { ...rest } = props;
    return (
        <div>
        <Header
            rightLinks={<HeaderLinks username={user} />}
            fixed
            color="info"
            changeColorOnScroll={{
            height: 400,
            color: "white"
            }}
            {...rest}
        />
        <Parallax image={require("assets/img/yamalube.jpg")} width="200px"/>
        <div className={classNames(classes.main, classes.mainRaised)}>
            <YGPDetail detailygp={detailygp} backend={backend}/>  
        </div>
        <Footer />
        </div>
    );
}

export default YGPDetails;

export async function getServerSideProps(context) {
    var {query} = context;
	var detailygp = [];
    const backend = process.env.BACKEND_SERVER_URI;

    var { req, resp } = context;
    const cookies = new Cookies(req, resp);
    var user = "";
    var userObj = (await cookies.get("user"))
        ? JSON.parse(await cookies.get("user"))
        : null;
    if (userObj) {
        let sessionId = userObj["partners_login_states"].filter(function (i) {
        return (
            i.business_partner && i.business_partner.name.toUpperCase() == "YAMAHA"
        );
        });
        if (sessionId.length != 0) user = userObj["username"];
    }

	var res = await GetDetailYGP.GetDetailAccessories(query.s||0);
	if (res["STATUS"] === 1) {
		detailygp = res["DATA"]["accessories"];
	}
    
	return {
		props: { user, detailygp, backend }, // will be passed to the page component as props
	};
}